Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class ColumnDefinition

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.ColumnDefinition

All Implemented Interfaces:
  IColumnDefinition

    public class ColumnDefinition

extends java.lang.Object
implements IColumnDefinition

Default implementation of `IColumnDefinition` interface.

Field Summary

Fields inherited from interface org.eclipse.birt.data.engine.api.IColumnDefinition
`ALWAYS_EXPORT, ALWAYS_SEARCHABLE, ANALYSIS_ATTRIBUTE, ANALYSIS_DIMENSION, ANALYSIS_MEASURE, DONOT_EXPORT, EXPORT_IF_REALIZED, NOT_SEARCHABLE, SEARCHABLE_IF_INDEXED`

Constructor Summary
`ColumnDefinition(java.lang.String name)` Construct a Column definition for a named column

Method Summary
`java.lang.String` | `getAlias()` Gets the alias of the column.
`java.lang.String` | `getAnalysisColumn()` Get the data analysis name.
`int` | `getAnalysisType()` Get the data analysis type.
`java.lang.String` | `getColumnName()` Gets the column name
`java.lang.String` | `getColumnNativeName()` Gets the column native name.
`int` | `getColumnPosition()` Gets the column position
`int` | `getDataType()` Gets the data type of the column.
`int` | `getExportHint()` Gets the export hint for the column
`int` | `getNativeDataType()` Gets the column's native data type as defined by the underlying data source.
`int` | `getSearchHint()` Gets the search hint for the column
`boolean` | `isCompressedColumn()` Return whether this column need to be compressed.
`boolean` | `isIndexColumn()` Return whether the column should be generated with index.
`void` | `setAlias(java.lang.String alias)`
`void` | `setAnalysisColumn(java.lang.String columnName)`
`void` | `setAnalysisType(int analysisType)`
`void` | `setColumnNativeName(java.lang.String nativeName)`
`void` | `setColumnPosition(int position)` Assigns the indexed position to a Column definition.
`void` | `setCompressedColumn(boolean compressedColumn)`
`void` | `setDataType(int dataType)`
`void` | `setExportHint(int exportHint)`
`void` | `setIndexColumn(boolean indexColumn)`
`void` | `setNativeDataType(int typeCode)` Set the column native data type.
`void` | `setSearchHint(int searchHint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnDefinition

    public ColumnDefinition(java.lang.String name)

  Construct a Column definition for a named column

Method Detail

### setColumnPosition

    public void setColumnPosition(int position)

  Assigns the indexed position to a Column definition.

  Parameters:
    `position` - 1-based position of column in the data row

### getColumnName

    public java.lang.String getColumnName()

  Gets the column name

  Specified by:
    `getColumnName` in interface `IColumnDefinition`
  Returns:
    Name of column. If column is unnamed, returns null.

### getColumnPosition

    public int getColumnPosition()

  Gets the column position

  Specified by:
    `getColumnPosition` in interface `IColumnDefinition`
  Returns:
    1-based position of column. If column is identified by name, returns -1.

### getDataType

    public int getDataType()

  Gets the data type of the column.

  Specified by:
    `getDataType` in interface `IColumnDefinition`
  Returns:
    Data type as an integer.

### getNativeDataType

    public int getNativeDataType()

  Description copied from interface: `IColumnDefinition`
  Gets the column's native data type as defined by the underlying data source. The native data type code value is implementation-specific. Default value is 0 for none or unknown value.

  Specified by:
    `getNativeDataType` in interface `IColumnDefinition`
  Returns:
    the native data type code of this column.

### getAlias

    public java.lang.String getAlias()

  Gets the alias of the column. An alias is a string that can be used interchangably as the name to refer to a column.

  Specified by:
    `getAlias` in interface `IColumnDefinition`

### getSearchHint

    public int getSearchHint()

  Gets the search hint for the column

  Specified by:
    `getSearchHint` in interface `IColumnDefinition`

### getAnalysisType

    public int getAnalysisType()

  Description copied from interface: `IColumnDefinition`
  Get the data analysis type.

  Specified by:
    `getAnalysisType` in interface `IColumnDefinition`
  Returns:

### getAnalysisColumn

    public java.lang.String getAnalysisColumn()

  Description copied from interface: `IColumnDefinition`
  Get the data analysis name.

  Specified by:
    `getAnalysisColumn` in interface `IColumnDefinition`
  Returns:

### setAnalysisColumn

    public void setAnalysisColumn(java.lang.String columnName)

### getExportHint

    public int getExportHint()

  Gets the export hint for the column

  Specified by:
    `getExportHint` in interface `IColumnDefinition`

### setAlias

    public void setAlias(java.lang.String alias)

  Parameters:
    `alias` - The alias to set.

### setDataType

    public void setDataType(int dataType)

  Parameters:
    `dataType` - The dataType to set.

### setNativeDataType

    public void setNativeDataType(int typeCode)

  Set the column native data type.

  Parameters:
    `typeCode` - a data type code defined by an underlying data source.

### setExportHint

    public void setExportHint(int exportHint)

  Parameters:
    `exportHint` - The exportHint to set.

### setSearchHint

    public void setSearchHint(int searchHint)

  Parameters:
    `searchHint` - The searchHint to set.

### getColumnNativeName

    public java.lang.String getColumnNativeName()

  Description copied from interface: `IColumnDefinition`
  Gets the column native name. Column native name identifies a column in the meta data.

  Specified by:
    `getColumnNativeName` in interface `IColumnDefinition`
  Returns:
    Native Name of column. If column native name is unnamed, returns null.

### setColumnNativeName

    public void setColumnNativeName(java.lang.String nativeName)

### setAnalysisType

    public void setAnalysisType(int analysisType)

### isIndexColumn

    public boolean isIndexColumn()

  Description copied from interface: `IColumnDefinition`
  Return whether the column should be generated with index.

  Specified by:
    `isIndexColumn` in interface `IColumnDefinition`
  Returns:

### setIndexColumn

    public void setIndexColumn(boolean indexColumn)

### isCompressedColumn

    public boolean isCompressedColumn()

  Description copied from interface: `IColumnDefinition`
  Return whether this column need to be compressed.

  Specified by:
    `isCompressedColumn` in interface `IColumnDefinition`
  Returns:

### setCompressedColumn

    public void setCompressedColumn(boolean compressedColumn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.